89f9350d9e
- Fix dmraid issue bnc#905746 A dracut_dmraid_use_udev.patch - Taken over from SLE12 A fips_add_aesni-intel.patch - Do not touch /run vs /var/run bnc#922676 D 0106-dracut-Enable-converting-of-directory-var-run-var-lo.patch - Update dracut to version 042 Remove these already included or unneeded patches: D dracut_v041_to_HEAD.patch D 0011-Correct-paths-for-openSUSE.patch D 0068-95fcoe-uefi-Test-for-EFI-firmware.patch D 0170-enable-logitech-hidpp.patch Adjust/refresh: M 0015-40network-replace-dhclient-with-wickedd-dhcp-supplic.patch M 0016-Add-new-s390x-specific-rule-files.patch M 0017-45ifcfg-use-distro-specific-scripts.patch M 0019-40network-Fix-race-condition-when-wait-for-networks.patch M 0020-00warpclock-Set-correct-timezone.patch M 0021-95dcssblk-Add-new-module-for-DCSS-block-devices.patch M 0048-40network-Only-enable-network-interfaces-if-explicit.patch M 0053-01fips-fixup-loading-issues.patch M 0056-81cio_ignore-handle-cio_ignore-commandline.patch M 0057-01fips-Include-some-more-hmacs.patch M 0058-dracut-add-warning-when-including-unsupported-module.patch M 0059-99suse-Add-SUSE-specific-initrd-parsing.patch M 0060-45ifcfg-Add-SUSE-specific-write-ifcfg-file.patch M 0061-45ifcfg-Fixup-error-message-in-write-ifcfg-suse.patch M 0066-40network-always-start-netroot-in-ifup.sh.patch M 0075-95dasd_rules-enable-parsing-of-rd.dasd-commandline-p.patch M 0076-Correctly-set-cio_ignore-for-dynamic-s390-rules.patch OBS-URL: https://build.opensuse.org/request/show/314510 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=219
54 lines
2.0 KiB
Diff
54 lines
2.0 KiB
Diff
From 7995f23a106e28afa0204b5eca68671cb514b1d9 Mon Sep 17 00:00:00 2001
|
|
From: Hannes Reinecke <hare@suse.de>
|
|
Date: Tue, 21 Jan 2014 14:32:09 +0100
|
|
Subject: [PATCH] Add new s390x-specific rule files
|
|
|
|
With the new s390x configuration tool the naming of the udev
|
|
rules files have changed. So add these to the existing ones
|
|
to be compatible with existing and new installations.
|
|
|
|
References: bnc#856585
|
|
|
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
|
---
|
|
modules.d/95dasd_rules/module-setup.sh | 4 ++--
|
|
modules.d/95zfcp_rules/module-setup.sh | 1 +
|
|
2 files changed, 3 insertions(+), 2 deletions(-)
|
|
|
|
Index: dracut-042/modules.d/95dasd_rules/module-setup.sh
|
|
===================================================================
|
|
--- dracut-042.orig/modules.d/95dasd_rules/module-setup.sh 2015-06-11 17:39:47.000000000 +0200
|
|
+++ dracut-042/modules.d/95dasd_rules/module-setup.sh 2015-06-24 18:02:06.297197575 +0200
|
|
@@ -4,7 +4,7 @@
|
|
check() {
|
|
local _arch=$(uname -m)
|
|
[ "$_arch" = "s390" -o "$_arch" = "s390x" ] || return 1
|
|
- require_binaries dasd_configure /usr/lib/udev/collect || return 1
|
|
+ require_binaries /usr/lib/udev/collect || return 1
|
|
return 0
|
|
}
|
|
|
|
@@ -16,10 +16,10 @@ depends() {
|
|
|
|
# called by dracut
|
|
install() {
|
|
- inst_multiple /usr/lib/udev/collect
|
|
inst_hook cmdline 30 "$moddir/parse-dasd.sh"
|
|
if [[ $hostonly ]] ; then
|
|
inst_rules_wildcard 51-dasd-*.rules
|
|
+ inst_rules_wildcard 41-s390x-dasd-*.rules
|
|
fi
|
|
inst_rules 59-dasd.rules
|
|
}
|
|
Index: dracut-042/modules.d/95zfcp_rules/module-setup.sh
|
|
===================================================================
|
|
--- dracut-042.orig/modules.d/95zfcp_rules/module-setup.sh 2015-06-11 17:39:47.000000000 +0200
|
|
+++ dracut-042/modules.d/95zfcp_rules/module-setup.sh 2015-06-24 18:02:06.297197575 +0200
|
|
@@ -19,5 +19,6 @@ install() {
|
|
inst_hook cmdline 30 "$moddir/parse-zfcp.sh"
|
|
if [[ $hostonly ]] ; then
|
|
inst_rules_wildcard 51-zfcp-*.rules
|
|
+ inst_rules_wildcard 41-s390x-zfcp-*.rules
|
|
fi
|
|
}
|